import { combineReducers } from "@reduxjs/toolkit";

import authReducer from "./slices/authSlice";
import adminReducer from "./slices/adminSlice";
import profileReducer from "./slices/profileSlice";
import userReducer from "./slices/userSlice.ts";
import roleReducer from "./slices/roleSlice.ts";
import vehicleReducer from "./slices/VehicleSlice.ts";
import managerReducer from "../redux/slices/managerSlice.ts";
import stationReducer from "../redux/slices/stationSlice.ts"; 


const rootReducer = combineReducers({
	authReducer,
	adminReducer,
	profileReducer,
	userReducer,
	roleReducer,
	vehicleReducer,
	managerReducer,
	stationReducer
    // Add other reducers here...
});

export type RootState = ReturnType<typeof rootReducer>;

export default rootReducer;
